summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2010-01-24 17:32:50 +0100
committerMarc Kleine-Budde <mkl@pengutronix.de>2010-01-24 17:38:35 +0100
commit6a96a513051aea707f2e9b6166954cab707cf685 (patch)
tree8e2ff50ea0f38a57c14ee920b3ce43c4dee0f532
parent08fd9eb2f00b600e1951f34d6a9faf840355e491 (diff)
downloadptxdist-6a96a513051aea707f2e9b6166954cab707cf685.tar.gz
ptxdist-6a96a513051aea707f2e9b6166954cab707cf685.tar.xz
[ptxdist] rename PTX_FORCE -> PTXDIST_FORCE and export it
We export PTXDIST_FORCE to be able to do something in make with it. Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de>
-rwxr-xr-xbin/ptxdist13
1 files changed, 7 insertions, 6 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index f5a5233c2..b55cfd4f4 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -194,7 +194,7 @@ check_version() {
# (or if beeing forced)
#
if [ "${1}" = "${PTXDIST_VERSION_CFG_FULL}" -o \
- -n "${PTX_FORCE}" ]; then
+ -n "${PTXDIST_FORCE}" ]; then
return 0
fi
@@ -250,7 +250,7 @@ _check_config_ptx() {
return 1
fi
- if [ -n "${PTX_FORCE}" ]; then
+ if [ -n "${PTXDIST_FORCE}" ]; then
return
fi
@@ -300,7 +300,7 @@ _check_config_platform() {
return 1
fi
- if [ -n "${PTX_FORCE}" ]; then
+ if [ -n "${PTXDIST_FORCE}" ]; then
return
fi
@@ -1238,7 +1238,7 @@ parse_first()
PTX_MAKE_ARGS[${#PTX_MAKE_ARGS[@]}]="-k"
;;
-f|--force)
- PTX_FORCE=true
+ PTXDIST_FORCE=true
;;
--force-download)
PTXDIST_FORCE_DOWNLOAD=true
@@ -1414,7 +1414,7 @@ do_select()
fi
# check if magic is present in config file
- if ! egrep -q "^${magic}$" "${file}" && [ -z "${PTX_FORCE}" ]; then
+ if ! egrep -q "^${magic}$" "${file}" && [ -z "${PTXDIST_FORCE}" ]; then
ptxd_dialog_msgbox \
"error: Couldn't verify that\n" \
" '${file}'\n" \
@@ -1588,7 +1588,7 @@ do_select_toolchain() {
#
do_migrate()
{
- local PTX_FORCE=true
+ local PTXDIST_FORCE=true
local part
for part in ptx platform; do
@@ -2394,6 +2394,7 @@ setup_export() {
PTXDIST_PARALLELMFLAGS_INTERN \
\
PTXDIST_QUIET \
+ PTXDIST_FORCE \
PTXDIST_FORCE_DOWNLOAD
}